Subject: Re: Mail, not to be confused with spam...
From: Douglas Otis <[email-masked]>
To: Frank Ellermann <[email-masked]>
Cc: Alessandro Vesely <[email-masked]>, SMTP Discussion <[email-masked]>
Date: Wed, 07 Dec 2011 15:47:00 -0800
List-Id: <ietf-smtp.imc.org>

On 12/1/11 1:58 AM, Frank Ellermann wrote:
> On 30 November 2011 15:30, Alessandro Vesely<[email-masked]>  wrote:
>>   Is the IESG part of the problem?
> For the status of RFC 5782 my conclusion is that there was some
> kind of communication problem.  The published comments indicate
> that some ADs asked why the draft was not for standards track,
> and one AD was quite willing to sponsor it for standards track.
> (I asked, that's why I know this.)
>
> This was a tricky case, because it was an IRTF ASRG draft, and
> only the IETF (not the IRTF) can publish standards track RFCs.
> At some point the author decided to give up on standards track
> and use the ordinary IRTF status "informational".
Frank,

IMHO, RFC5782 is anachronistic.  Sorry John.  IPv6 and Large Scale NATs 
support of dual stacks thwarts IP address based validation.  An 
inability to control exploitable resource identifiers further thwarts 
the establishment of defend-able reputations.  Additionally, ATPS 
requires a solid anchor not offered by SPF.  One solution would be an 
SMTP Auth extension where details are still owed.  A low overhead method 
to authenticate outbound SMTP servers and to authorize outbound servers 
is needed.
> There *is* a problem in communications with the IESG, e.g., at
> the moment I have two "tickets", where I can't say if the mails
> ever arrived, still wait in some queue for an AD to pick it up,
> or were rejected with the rejection never making it to my inbox.
>
> For similar communication issues with IANA requests folks have
> suggested to create a visible trouble ticket tracker, maybe the
> IESG should adopt this "happiana" proposal also for their own
> communications.
Without a solid defense of actual sources, email will continue to be 
abused.  On the other head, social networks benefit from rapid removal 
of abusive accounts, since much of their ad revenue is based upon unique 
identifiers.  Ironically, it would seem standardizing a provider 
included ad link header field might offset properly dealing with abuse.  :^(

-Doug

From: "Murray S. Kucherawy" <[email-masked]>
To: SMTP Discussion <[email-masked]>
Date: Wed, 7 Dec 2011 09:22:57 -0800
Subject: FW: I-D Action: draft-ietf-appsawg-greylisting-00.txt
Accept-Language: en-US
acceptlanguage: en-US
Sender: [email-masked]

FYI, for those that want to follow this work:

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, December 06, 2011 12:19 PM
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action: draft-ietf-appsawg-greylisting-00.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the Applications Area Working Group Working Group of the IETF.

	Title           : Best Current Practices for Email Greylisting
	Author(s)       : Murray S. Kucherawy
	Filename        : draft-ietf-appsawg-greylisting-00.txt
	Pages           : 6
	Date            : 2011-12-06

   This memo describes best current practices for the art of email
   greylisting, the practice of providing temporarily degraded service
   to unknown email clients as an anti-abuse mechanism.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-appsawg-greylisting-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-appsawg-greylisting-00.txt

Date: Mon, 05 Dec 2011 15:26:15 -0500
From: Hector Santos <[email-masked]>
Organization: Santronics Software, Inc.
CC: [email-masked]
Subject: Re: Mail, not to be confused with spam...
To: [email-masked]
Sender: [email-masked]

Well,  in my opinion, most smaller operations and especially users 
don't have a lot of business or association with Asian IPs, so I know 
many operations that will have a complete block on any IP known to be 
from that area.

--

Alessandro Vesely wrote:
> On 02/Dec/11 12:35, Tony Finch wrote:
>> John Levine <[email-masked]> wrote:
>>> This isn't really relevant to the topic under discussion, which is really
>>> that the "legitimate" mail sent around on corporate mail systems is
>>> hardly any better than the spam.
>> I call it "intraspam". Very hard to deal with.
> 
> Harder than interspam?  Paul's "Great Cascade" case, as well as
> http://www.ucs.cam.ac.uk/isss/rules/other/bulkemail/internal.html
> seem to be issues about proper use of (proper) mailing lists.
> 
> IMHO, the effectiveness of ordinary spam filtering is a sort of
> illusion brought about by big numbers law.  For example, some claim
> that it is highly effective to reject based on geoip lookups...
> 
> 
> 

-- 
Sincerely

Hector Santos
http://www.santronics.com
jabber: [email-masked]

Date: Sun, 04 Dec 2011 13:42:56 +0100
From: Alessandro Vesely <[email-masked]>
To: [email-masked]
Subject: Re: Mail, not to be confused with spam...
Sender: [email-masked]

On 02/Dec/11 12:35, Tony Finch wrote:
> John Levine <[email-masked]> wrote:
>>
>> This isn't really relevant to the topic under discussion, which is really
>> that the "legitimate" mail sent around on corporate mail systems is
>> hardly any better than the spam.
> 
> I call it "intraspam". Very hard to deal with.

Harder than interspam?  Paul's "Great Cascade" case, as well as
http://www.ucs.cam.ac.uk/isss/rules/other/bulkemail/internal.html
seem to be issues about proper use of (proper) mailing lists.

IMHO, the effectiveness of ordinary spam filtering is a sort of
illusion brought about by big numbers law.  For example, some claim
that it is highly effective to reject based on geoip lookups...

Date: Fri, 2 Dec 2011 11:35:32 +0000
From: Tony Finch <[email-masked]>
To: John Levine <[email-masked]>
cc: [email-masked], [email-masked]
Subject: Re: Mail, not to be confused with spam...
Sender: [email-masked]

John Levine <[email-masked]> wrote:
>
> This isn't really relvant to the topic under discussion, which is really
> that the "legitimate" mail sent around on corporate mail systems is
> hardly any better than the spam.

I call it "intraspam". Very hard to deal with.

Tony.
-- 
f.anthony.n.finch  <[email-masked]>  http://dotat.at/
Shannon: West 5 to 7, increasing gale 8 at times. Very rough, occasionally
high later. Occasional rain. Moderate or good, occasional poor.

Date: Thu, 01 Dec 2011 22:14:39 +0100
From: "Rolf E. Sonneveld" <[email-masked]>
To: "Murray S. Kucherawy" <[email-masked]>
Cc: SMTP Discussion <[email-masked]>
Subject: Re: Mail, not to be confused with spam...
Sender: [email-masked]

On 11/30/11 6:50 PM, Murray S. Kucherawy wrote:
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf Of Alessandro Vesely
>> Sent: Wednesday, November 30, 2011 6:30 AM
>> To: SMTP Discussion
>> Subject: Mail, not to be confused with spam...
>>
>> Is it because of spam that people stops using email?
> I think if that were the case, email would've been abandoned long ago.  This is just reactionary and sensationalist

+10. And please can we now declare this useless discussion closed, that 
company has had enough free publicity.

/rolf

Date: 1 Dec 2011 17:53:57 -0000
From: "John Levine" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Subject: Re: Mail, not to be confused with spam...
Organization: 
Sender: [email-masked]

>For the status of RFC 5782 my conclusion is that there was some
>kind of communication problem.  The published comments indicate
>that some ADs asked why the draft was not for standards track,
>and one AD was quite willing to sponsor it for standards track.
>(I asked, that's why I know this.)

It was an IRTF draft.  Then some people in the IESG asked why it
wasn't standards track.  Fine, I said, let's make it standards track.
Then in IESG review, people (not the same ones) in the IESG offered a
variety of comments that revealed that their understanding of spam
management was stuck in the 1990s, and there was no way they were
going to approve this draft without a lot of changes that would make
it useless.  So I said, never mind, and flipped it back to IRTF, which
is how it was published.

This isn't really relvant to the topic under discussion, which is really
that the "legitimate" mail sent around on corporate mail systems is
hardly any better than the spam.

R's,
John

Date: Thu, 01 Dec 2011 10:04:11 +0000
From: Paul Smith <[email-masked]>
To: SMTP Discussion <[email-masked]>
Subject: Re: Mail, not to be confused with spam...
Sender: [email-masked]

On 30/11/2011 15:30, SM wrote:
>
> At 06:30 30-11-2011, Alessandro Vesely wrote:
>> There are already 500+ comments on yesterday's post on Slashdot on
>> "Europe's Largest IT Company To Ban Internal Email" [1].
>>
>> Is it because of spam that people stops using email?
>
> According to the news article, "only 10 per cent of the 200 electronic 
> messages his employees receive per day on average turn out to be 
> useful".  There wasn't any mention of "internal email" or "spam".

It depends what they mean by 'useful'

I get lots of emails from ZDNet, Computing.co.uk etc which are, 90% of 
the time, useless, but I subscribed to them, and occasionally there's 
something useful. It takes me 2 seconds to scan them and delete if 
they're not. I could easily unsubscribe if I wanted.

In a lot of businesses, no one understands the 'reply' button (just 
'reply all'), and they can never remember people's email addresses, so 
just email to everyone (just in case) - this works to best effect in 
companies of 1000+ employees - and they'll always forward messages about 
how you shouldn't open emails with 'hello' in the subject or your PC 
will explode, so it's not surprising that 90% of it is rubbish. Of 
course, people then reply (to all) saying please stop sending them 
emails, which starts a storm of everyone else doing it (replying to 
all), then people reply (to all) complaining that they are still getting 
emails, etc, etc.
(eg http://thedailywtf.com/Comments/The-Great-Cascade.aspx#298810)

Giving the IT guy(s) authority to patrol the corridors with baseball 
bats is as good a disincentive as banning internal mail IMHO :) 
Especially in an IT company... Unwarranted use of 'reply all' in an IT 
company should be a sackable offence.

From: Frank Ellermann <[email-masked]>
Date: Thu, 1 Dec 2011 10:58:47 +0100
Subject: Re: Mail, not to be confused with spam...
To: Alessandro Vesely <[email-masked]>
Cc: SMTP Discussion <[email-masked]>
Sender: [email-masked]

On 30 November 2011 15:30, Alessandro Vesely <[email-masked]> wrote:

> Is the IESG part of the problem?

For the status of RFC 5782 my conclusion is that there was some
kind of communication problem.  The published comments indicate
that some ADs asked why the draft was not for standards track,
and one AD was quite willing to sponsor it for standards track.
(I asked, that's why I know this.)

This was a tricky case, because it was an IRTF ASRG draft, and
only the IETF (not the IRTF) can publish standards track RFCs.
At some point the author decided to give up on standards track
and use the ordinary IRTF status "informational".

There *is* a problem in communications with the IESG, e.g., at
the moment I have two "tickets", where I can't say if the mails
ever arrived, still wait in some queue for an AD to pick it up,
or were rejected with the rejection never making it to my inbox.

For similar communication issues with IANA requests folks have
suggested to create a visible trouble ticket tracker, maybe the
IESG should adopt this "happiana" proposal also for their own
communications.

-Frank

Date: Thu, 1 Dec 2011 09:55:46 +0100
From: Arnt Gulbrandsen <[email-masked]>
To: SMTP Discussion <[email-masked]>
Subject: Re: Mail, not to be confused with spam...
Sender: [email-masked]

Have you spent any time reading corporate email? It's awful. I can well
understand wanting to get rid of it.

That said, its awfulness has nothing to do with email. Corporate social
media are just as bad.

Arnt